Subject: bug#29007: 25.3; [PATCH] Make filecache use extended completion

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Nov 2017 20:23:13 +0200

> From: Andreas Politz <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 04 Nov 2017 18:44:43 +0100
> 
> Currently, file-cache-minibuffer-complete does longest-prefix completion
> via all-completions only, instead of completion-all-completions, which
> completes according to the completion-styles variable.  And here are
> some cases where this behavior is inconvenient or even insufficient,
> when trying to open some file via `C-x C-f C-TAB'.
> 
> 1. Opening some file from the file-cache, without remembering the exact
>    prefix.
> 
>    Example: You only remember that the file ends in '-foo.el'.
> 
> 2. Opening some file, while the file-cache contains many files having the
>    same prefix.
> 
>    Example: The cache contains the following files.
>    
>    aaa.a
>    aab.b
>    aba.c
>    abb.d
>    baa.e
>    bab.f
>    bba.g
>    bbb.h
> 
>    Here prefix completion is basically useless, but entering the unique
>    suffix and using substring completion immediately completes to the
>    unique match.

Thanks.  I think your patch is good for the master branch, but I think
it should include a NEWS entry about the change.